<div class="card">
	<div class="card-header">
		Cliente seleccionado, siempre elijo el cliente id 1
	</div>
	<div class="card-body">
		<h2 class="card-title">{{client.nombres}} -- {{client.apellido}}</h2>
		<h4>Tarjetas del cliente</h4>
		<table class="table table-hover">
			<thead>
				<tr>
					<th scope="col">#</th>
					<th scope="col">Número</th>
					<th scope="col">Marca</th>
				</tr>
			</thead>
			<tbody>  	
				<tr *ngFor="let tarjet of tarjets ; let iControl = index">
					<td>{{tarjet.id}}</td>
					<td>{{tarjet.numero}}</td>
					<td>{{tarjet.marca}}</td>
				</tr>
			</tbody>
		</table>		
	</div>
	<div class="card-footer text-muted">
		&nbsp;
	</div>
</div>

<div class="col-md-12 mt-5">

	<h2>Listado de Promociones</h2>
	<hr>
	<h3>Promociones de Marca</h3>
	<table class="table table-hover">
		<thead>
			<tr>
				<th scope="col">Tarjeta</th>
				<th scope="col">Vigente Desde</th>
				<th scope="col">Vigente Hasta</th>				
				<th scope="col">%Descuento</th>
			</tr>
		</thead>
		<tbody>  	
			<tr *ngFor="let promoM of promotionsMarca; let iControlm = index">
				<td>{{promoM.tarjeta}}</td>
				<td>{{promoM.desde}}</td>
				<td>{{promoM.hasta}}</td>				
				<td>{{promoM.porcentaje}}</td>
		  	</tr>
	  	</tbody>
	</table>
	<br/>

	<h3>Promociones de Pago</h3>
	<table class="table table-hover">
		<thead>
			<tr>
				<th scope="col">Tarjeta</th>
				<th scope="col">Vigente Desde</th>
				<th scope="col">Vigente Hasta</th>
				<th scope="col">%Descuento</th>
			</tr>
	  	</thead>
	  	<tbody>  	
			<tr *ngFor="let promoP of promotionsPago; let iControlp = index">
				<td>{{promoP.tarjeta}}</td>
				<td>{{promoP.desde}}</td>
				<td>{{promoP.hasta}}</td>
				<td>{{promoP.porcentaje}}</td>
			</tr>
	  	</tbody>
	</table>	
	
</div>


<div class="col-md-12 mt-5">

	<div class="mt-5">
		<h2>Seleccione la tarjeta de Pago</h2>
	</div>
	<div>
		<label for="selectTarjeta" class="form-label">Selecciona la tarjeta</label>		
		<select name="selectTarjeta" [(ngModel)]="tarjetaSeleccionada" class="form-select" id="selectTarjeta">
			<option [value]="item.id" *ngFor="let item of tarjets">{{item.numero}} - {{item.marca}}</option>
		</select>
		<br/>
	</div>

	<h2>Seleccione los Productos</h2>
	<hr>
	<div>
		<p><em>Seleccionar la tarjeta antes de calcular el total y de comprar</em></p>
	</div>		
	<div>
		<div class="mb-3">
			<label for="miselect" class="form-label">Selecciona productos</label>
			<select id="miselect" name="miselectname" [(ngModel)]="seleccionados" multiple="multiple" class="form-select" size="5">
				<option [value]="item.id" *ngFor="let item of products">
				{{item.id}} - {{item.descripcion}} - Marca: {{item.marca.descripcion}} - ${{item.precio}}
				</option>
			</select>
		</div>
		<div class="text-primary fw-bold">
			($) Subtotal: <span class="badge bg-primary">{{ totalPrice }}</span>
		</div>		
		<div class="d-flex justify-content-start align-items-start gap-3 mt-3">
			<div>
				<a (click)="showTotalPrice()" class="btn btn-success mx-2">($) Calcular Precio Total</a>
				<a (click)="buy()" class="btn btn-info"> (+) Comprar</a>
			</div>
			<!--<div>
			  <h3>Productos seleccionados</h3>
			  <ul class="list-unstyled">
				<li *ngFor="let itemSelected of seleccionados">
					{{itemSelected}}
				</li>
			  </ul>
			</div>-->
		</div>	  
	</div>
	<div class="alert alert-danger mt-3" role="alert">
		<p>Errores de calcular total</p>
		{{ errorTotalProductos }}
	</div>		
	<div class="alert alert-danger mt-3" role="alert">
		<p>Errores de compra</p>
		{{ messageCompra }}
	</div>
</div>

<div class="col-md-12 mt-3">

	<h2>Ultimas Ventas</h2>

	<div>
		<pre>{{ ultimasVentas }}</pre>
	</div>
	<div class="alert alert-danger" role="alert">
		<p>Errores de la solicitud de ultimas ventas</p>
	</div>	
</div>
